Source: mauikit-documents
Section: kde
Priority: optional
Maintainer: Jonathan Riddell <jr@jriddell.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-kiconthemes-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libpoppler-qt6-dev,
               mauiman-dev,
               mauikit-dev,
               ninja-build,
               qt6-base-dev,
               qt6-declarative-dev,
Standards-Version: 4.6.2
Homepage: https://mauikit.org/

Package: qml6-module-org-mauikit-documents
Architecture: any
Depends: libmauikit,
         libmauikitdocuments4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-mauikit-documents (<< 4.0.0),
Replaces: qml-module-mauikit-documents (<< 4.0.0),
Description: MauiKit QtQuick plugins for text editing
 This package contains the mauikit text editing qml module.

Package: libmauikitdocuments4
Architecture: any
Depends: qt6-base,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmauikitdocuments3 (<< 4.0.0),
Replaces: libmauikitdocuments3 (<< 4.0.0),
Description: MauiKit QtQuick plugins for text editing
 This package contains the mauikit text editing library.

Package: libmauikitdocuments-dev
Architecture: any
Depends: libmauikitdocuments4,
         libpoppler-dev,
         libpoppler-private-dev,
         libpoppler-qt6-dev,
         qml6-module-org-mauikit-documents,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit QtQuick plugins for text editing
 This package contains mauikit text editing development files.

Package: libmauikitdocuments3
Architecture: all
Depends: libmauikitdocuments4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-documents
Architecture: all
Depends: qml6-module-org-mauikit-documents, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
